Upstream information

CVE-2008-1188 at MITRE

Description

Multiple buffer overflows in the useEncodingDecl function in Java Web Start in Sun JDK and JRE 6 Update 4 and earlier, and 5.0 Update 14 and earlier, allow remote attackers to execute arbitrary code via a JNLP file with (1) a long key name in the xml header or (2) a long charset value, different issues than CVE-2008-1189, aka "The first two issues."

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 368134 [RESOLVED / FIXED], 379038 [RESOLVED / FIXED], 404983 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • java-1_6_0-ibm >= 1.6.0_sr7.0-1.6.21
  • java-1_6_0-ibm-alsa >= 1.6.0_sr7.0-1.6.21
  • java-1_6_0-ibm-fonts >= 1.6.0_sr7.0-1.6.21
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr7.0-1.6.21
  • java-1_6_0-ibm-plugin >= 1.6.0_sr7.0-1.6.21
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA java-1_6_0-ibm
SUSE Linux Enterprise Server 11 SP2
  • java-1_6_0-ibm >= 1.6.0_sr9.3-0.4.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr9.3-0.4.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr9.3-0.4.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr9.3-0.4.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr9.3-0.4.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA java-1_6_0-ibm
SUSE Linux Enterprise Server 11 SP3
  • java-1_6_0-ibm >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-alsa >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-fonts >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-jdbc >= 1.6.0_sr13.1-0.9.1
  • java-1_6_0-ibm-plugin >= 1.6.0_sr13.1-0.9.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA java-1_6_0-ibm
Open Enterprise Server
  • IBMJava5-JRE >= 1.5.0-0.22
  • IBMJava5-SDK >= 1.5.0-0.22
sles9-oes.x86
core9.ppc
core9.x86
core9.x86-64
core9.s390
core9.s390x
sles9-nlpos.x86
YOU Patch Nr: 12145
Novell Linux Desktop 9 for x86
Novell Linux Desktop 9 for x86_64
Open Enterprise Server
  • java2 >= 1.4.2-129.40
  • java2-jre >= 1.4.2-129.40
sles9-oes.x86
YOU Patch Nr: 12126
SUSE LINUX 10.1
  • java-1_4_2-sun >= 1.4.2.17-0.2
  • java-1_4_2-sun-alsa >= 1.4.2.17-0.2
  • java-1_4_2-sun-demo >= 1.4.2.17-0.2
  • java-1_4_2-sun-devel >= 1.4.2.17-0.2
  • java-1_4_2-sun-jdbc >= 1.4.2.17-0.2
  • java-1_4_2-sun-plugin >= 1.4.2.17-0.2
  • java-1_4_2-sun-src >= 1.4.2.17-0.2
SUSE LINUX 10.1
  • java-1_5_0-sun >= 1.5.0_15-0.1
  • java-1_5_0-sun-alsa >= 1.5.0_15-0.1
  • java-1_5_0-sun-demo >= 1.5.0_15-0.1
  • java-1_5_0-sun-devel >= 1.5.0_15-0.1
  • java-1_5_0-sun-jdbc >= 1.5.0_15-0.1
  • java-1_5_0-sun-plugin >= 1.5.0_15-0.1
  • java-1_5_0-sun-src >= 1.5.0_15-0.1